declare class Storage {
    _entries: {
        [key: string]: any;
    };
    get(key: string): Promise<any>;
    set(key: string, value: any): Promise<void>;
    clear(): Promise<void>;
    getSize(): Promise<number>;
    isPersistent(): boolean;
}
declare const _default: {
    initStorage({ name }: {
        name: string;
    }): Storage;
    getStorage(name: string): Storage;
    deleteStorage(name: string): void;
    __reset(): Promise<void>;
};
export default _default;
